KYB status changeWebhook

Webhook event notification request.

This request is sent to registered webhook event handlers after
An entity's KYB status changes

The Request body described below is the message property in the event notification request data. For more information about event notification requests, visit Webhooks.

Securitytilia_auth
Request
Request Body schema: application/json
account_id
string <= 36 characters

Tilia account ID with which the business entity will be associated

entity_id
string <= 36 characters

Unique Tilia ID for your entity

entity_status
string

Status of the KYB entity

Possible values are listed in the following table.

Value Description
ACCEPT KYB data has been accepted.
CANCEL The application process is halted due to no response from user.
DENY KYB data has been rejected.
INACTIVE The entity no longer exists.
INCOMPLETE Application not yet submitted by applicant.
PROCESSING This KYB application is being reviewed by Tilia.
vendor_application_id
string
Deprecated

Deprecated. Always empty.

custom_application_id
string
Deprecated

Deprecated. Always empty.

Responses
2XX

Return a 2XX status to indicate that the data was received successfully

Request samples
application/json
{
  • "account_id": "acct_2TiDFXHVFMlAuyy7ovvz3YPKv9b",
  • "entity_id": "ent_2V2RYOBpuscTtZmpDhlTWeJtJdw",
  • "entity_status": "ACCEPT",
  • "vendor_application_id": "12345",
  • "custom_application_id": "9a2beeb0-ed09-4c69-9627-786eb6d2df33"
}